require File.expand_path(File.dirname(__FILE__) + '/../spec_helper')

describe 'encoding in general', :shared => true do
  before(:all) do
    @encoding_mock = mock('encoding')
  end
end


describe Encoding do

  it "should  valid charset?" do
    encodings_proxy = mock('encodings')
    encodings_proxy.should_receive(:valid_charset?).with('UTF-8').and_return(true)
    @encoding.stub!(:valid_charset?).and_return(encodings_proxy)
    encodings_proxy.valid_charset?('UTF-8').should be_true
  end
end
